/**
 *
 */
package org.gcube.portlets.user.speciesdiscovery.shared;

import java.io.Serializable;


/**
 *
 * @author Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
 * Feb 9, 2017
 */
public class DefaultJob implements Serializable{


	/**
	 *
	 */
	private static final long serialVersionUID = -4448201743475516557L;
	public final static String ID_FIELD = "id";
	public final static String NAME = "name";
	public final static String DESCRIPTION = "description";
	public final static String STARTTIME = "startTime";
	public final static String SUBMITTIME = "submitTime";
	public final static String ENDTIME = "endTime";
	public static final String STATE = "state";

	protected String id;
	protected String name;
	protected long startTime;
	protected long submitTime;
	protected long endTime;
	protected String description;
	protected String state;

	/**
	 *
	 */
	public DefaultJob() {

	}


	/**
	 * Instantiates a new default job.
	 *
	 * @param id the id
	 * @param name the name
	 * @param startTime the start time
	 * @param submitTime the submit time
	 * @param endTime the end time
	 * @param description the description
	 * @param state the state
	 */
	public DefaultJob(
		String id, String name, long startTime, long submitTime, long endTime,
		String description, String state) {

		this.id = id;
		this.name = name;
		this.startTime = startTime;
		this.submitTime = submitTime;
		this.endTime = endTime;
		this.description = description;
		this.state = state;
	}




	/**
	 * @return the id
	 */
	public String getId() {

		return id;
	}


	/**
	 * @return the name
	 */
	public String getName() {

		return name;
	}


	/**
	 * @return the startTime
	 */
	public long getStartTime() {

		return startTime;
	}


	/**
	 * @return the submitTime
	 */
	public long getSubmitTime() {

		return submitTime;
	}


	/**
	 * @return the endTime
	 */
	public long getEndTime() {

		return endTime;
	}


	/**
	 * @return the description
	 */
	public String getDescription() {

		return description;
	}


	/**
	 * @return the state
	 */
	public String getState() {

		return state;
	}


	/**
	 * @param id the id to set
	 */
	public void setId(String id) {

		this.id = id;
	}


	/**
	 * @param name the name to set
	 */
	public void setName(String name) {

		this.name = name;
	}


	/**
	 * @param startTime the startTime to set
	 */
	public void setStartTime(long startTime) {

		this.startTime = startTime;
	}


	/**
	 * @param submitTime the submitTime to set
	 */
	public void setSubmitTime(long submitTime) {

		this.submitTime = submitTime;
	}


	/**
	 * @param endTime the endTime to set
	 */
	public void setEndTime(long endTime) {

		this.endTime = endTime;
	}


	/**
	 * @param description the description to set
	 */
	public void setDescription(String description) {

		this.description = description;
	}


	/**
	 * @param state the state to set
	 */
	public void setState(String state) {

		this.state = state;
	}


	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {

		StringBuilder builder = new StringBuilder();
		builder.append("DefaultJob [id=");
		builder.append(id);
		builder.append(", name=");
		builder.append(name);
		builder.append(", startTime=");
		builder.append(startTime);
		builder.append(", submitTime=");
		builder.append(submitTime);
		builder.append(", endTime=");
		builder.append(endTime);
		builder.append(", description=");
		builder.append(description);
		builder.append(", state=");
		builder.append(state);
		builder.append("]");
		return builder.toString();
	}

}
